Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02777 Sound Major Always Dec 27, 2008, 06:43 May 28, 2009, 18:04
Tester -MAME Source- View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS Windows 98/Me
Status [?] Resolved Driver jalmah.cpp
Version 0.128 Fixed in Version 0.131u3 Build Normal
Summary 02777: suchipi: Buggy sound in game
Description In the demo sequence, the sound seems OK, but in a game, the sound is buggy.

Update: Mentioned in the source code.
Fix the sound banking in the first version of the MCU.Protection-related (should be somewhere on the work ram/shared ram)
Steps To Reproduce Start a hand of mahjong and listen to the background music. It seems that at the end of the music loop are some misplaced sound effects and the spoken word "chigaimasu".
Additional Information Originally reported by nightsoil.
Flags Noted in Source
Regression Version
Affected Sets / Systems suchipi
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.03415
Fujix
Administrator
Dec 27, 2008, 14:53
This is mentioned in the source file. I set it as a source known issue.
User avatar
No.03546
Kale
Developer
Jan 9, 2009, 17:31
Yes,jalmah.c is pretty much known for it's weird sound banking behaviour. Additionally,I already know that the final extra stage level in suchipi has sound banking issues too...
User avatar
No.04418
Tafoid
Administrator
May 28, 2009, 18:04
Changed in 0.131u3 should fix this:
Guessed ADPCM PAL shuffling in Idol Janshi Suchie-Pai Special, it
sounds better but I'm not sure if it's 100% accurate (I need a
side-by-side test). [Angelo Salese]

If there are further issues found - leave a note here!